Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.monitor
Interface ClusterMonitor

    public interface ClusterMonitor

Cluster monitor is an interface to represent a cluster's states.

Method Summary
`long` | `getClusterMonitorRefreshInterval()` Gets the local monitor's Refresh Interval.
`jet.server.intf.jrs.MemberMonitor` | `getMemberMonitor(Member mmn)` Gets the member monitor in the cluster server.
`jet.server.intf.jrs.MemberMonitor` | `getMemberMonitor(java.lang.String host, java.lang.String port)` Gets the member monitor in the cluster server.
`java.lang.String` | `getMonitorMemberHost()` Gets the monitor member's host name.
`java.lang.String` | `getMonitorMemberPort()` Gets the monitor member's port.
`void` | `setMonitorMember(java.lang.String host, java.lang.String port)` Sets a member as a monitor member in the cluster server.

Method Detail

### getMemberMonitor

    jet.server.intf.jrs.MemberMonitor getMemberMonitor(java.lang.String host,
                                                       java.lang.String port)

  Gets the member monitor in the cluster server.

  Parameters:
    `host` - a string specifying the server host name.
    `port` - a string specifying the server port.
  Returns:
    MemberMonitor
  See Also:
    `jet.server.jrc.MemberMonitor`

### getMemberMonitor

    jet.server.intf.jrs.MemberMonitor getMemberMonitor(Member mmn)

  Gets the member monitor in the cluster server.

  Parameters:
    `mmn` - the specified Member.
  Returns:
    MemberMonitor
  See Also:
    `jet.server.jrc.MemberMonitor`

### setMonitorMember

    void setMonitorMember(java.lang.String host,
                          java.lang.String port)

  Sets a member as a monitor member in the cluster server.

  Parameters:
    `host` - a string specifying the server host name.
    `port` - a string specifying the server port.

### getMonitorMemberPort

    java.lang.String getMonitorMemberPort()

  Gets the monitor member's port.

### getMonitorMemberHost

    java.lang.String getMonitorMemberHost()

  Gets the monitor member's host name.

### getClusterMonitorRefreshInterval

    long getClusterMonitorRefreshInterval()

  Gets the local monitor's Refresh Interval.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD